@echo off
setlocal

REM ======================================================
REM インデックスファイル作成

REM UTF-8設定（ファイル名等をXML用にUTF-8化する為）
REM 注：コード切替の為にDOS画面はクリアされます
chcp 65001 > NUL

REM META-INF ディレクトリ確認（無ければ作成）
set IN_PATH=%~1
set META_PATH=%IN_PATH%META-INF/
if not exist "%META_PATH%" (mkdir "%META_PATH:/=\%")

REM META-INF/Index.xml 確認（あったら削除）
set INDEX_FILE=%META_PATH%Index.xml
if exist "%INDEX_FILE%" (del "%INDEX_FILE:/=\%")

REM Index.xmlへの出力
echo ^<Index^>>> "%INDEX_FILE%"
echo  ^<Title^>%IN_PATH:~0,-1%^</Title^>>> "%INDEX_FILE%"
echo  ^<Date^>%DATE:/=-%T%TIME:~0,8%^</Date^>>> "%INDEX_FILE%"
echo  ^<User^>%USERNAME%^</User^>>> "%INDEX_FILE%"
echo  ^<Host^>%COMPUTERNAME%^</Host^>>> "%INDEX_FILE%"
echo ^</Index^>>> "%INDEX_FILE%"

REM ======================================================
REM 終了
goto EXIT

REM ======================================================
REM エラー終了
:ERROR
echo ERROR: %ERRMSG%
@echo off
endlocal
exit /b 1

REM ======================================================
REM 終了処理
:EXIT
echo index_make.bat Done.
@echo off
endlocal
exit /b 0
